List shared entry access bindings
Lists access bindings for the specified shared entry.
Request
POST
https://api.datalens.tech/rpc/listSharedEntryAccessBindings
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"entryId": "example",
"getInheritedBindings": true,
"pageSize": 0.5,
"pageToken": "example"
}
|
Name |
Description |
|
entryId |
Type: string ID of the entry whose access bindings are requested. Example: |
|
getInheritedBindings |
Type: boolean Whether to include inherited access bindings. |
|
pageSize |
Type: number Maximum number of access bindings to return. |
|
pageToken |
Type: string Token for the next page of access bindings. Example: |
Responses
200 OK
Response
Body
application/json
{
"subjectsWithBindings": [
{
"subjectClaims": {
"sub": "example",
"subType": "SUBJECT_TYPE_UNSPECIFIED",
"email": "example"
},
"accessBindings": [
{
"roleId": "example",
"inheritedFrom": {}
}
],
"inheritedAccessBindings": [
null
]
}
],
"nextPageToken": "example"
}
|
Name |
Description |
|
nextPageToken |
Type: string Token for retrieving the next page of results. Example: |
|
subjectsWithBindings |
Type: IamSubjectWithBindings[] Subjects and their access bindings. Example
|
IamAccessBinding
|
Name |
Description |
|
inheritedFrom |
Type: object | null Resource from which the access binding is inherited. Example
|
|
roleId |
Type: string ID of the role assigned to the subject. Example: |
Example
{
"roleId": "example",
"inheritedFrom": {
"id": "example",
"type": "example"
}
}
IamSubjectWithBindings
|
Name |
Description |
||||||
|
accessBindings |
Type: IamAccessBinding[] Access bindings assigned directly to the subject. Example
|
||||||
|
inheritedAccessBindings |
Type: IamAccessBinding[] Access bindings inherited by the subject. Example
|
||||||
|
subjectClaims |
Type: object
Subject details. Example
|
Example
{
"subjectClaims": {
"sub": "example",
"subType": "SUBJECT_TYPE_UNSPECIFIED",
"email": "example"
},
"accessBindings": [
{
"roleId": "example",
"inheritedFrom": {
"id": "example",
"type": "example"
}
}
],
"inheritedAccessBindings": [
null
]
}